pi-harness-runtime 1.1.192 → 1.1.194

This diff represents the content of publicly available package versions that have been released to one of the supported registries. The information contained in this diff is provided for informational purposes only and reflects changes between package versions as they appear in their respective public registries.
Files changed (123) hide show
  1. package/index.ts +4 -0
  2. package/package.json +1 -1
  3. package/packages/a2a-adapter/package.json +1 -1
  4. package/packages/agent-policy/package.json +1 -1
  5. package/packages/architecture-generator/package.json +1 -1
  6. package/packages/auth/package.json +1 -1
  7. package/packages/autonomous-refactor/package.json +1 -1
  8. package/packages/autonomous-runtime/package.json +1 -1
  9. package/packages/cache-strategy/package.json +1 -1
  10. package/packages/capability-registry/package.json +1 -1
  11. package/packages/checkpoint/package.json +1 -1
  12. package/packages/cli-plugin-sdk/package.json +1 -1
  13. package/packages/clipboard/package.json +1 -1
  14. package/packages/clipboard-plugin/package.json +1 -1
  15. package/packages/code-generation/package.json +1 -1
  16. package/packages/code-review/package.json +1 -1
  17. package/packages/codex-adapter/package.json +1 -1
  18. package/packages/codex-watcher/package.json +1 -1
  19. package/packages/config-capture/package.json +1 -1
  20. package/packages/context-compiler/package.json +1 -1
  21. package/packages/context-discovery/package.json +1 -1
  22. package/packages/context-manager/package.json +1 -1
  23. package/packages/cookie-sanitizer/package.json +1 -1
  24. package/packages/cost-optimizer/package.json +1 -1
  25. package/packages/dependency-analyzer/package.json +1 -1
  26. package/packages/django-plugin/package.json +1 -1
  27. package/packages/doc-generator/package.json +1 -1
  28. package/packages/e2e-tester/package.json +1 -1
  29. package/packages/evaluation-engine/package.json +1 -1
  30. package/packages/evaluation-runner/package.json +1 -1
  31. package/packages/event-bus/package.json +1 -1
  32. package/packages/event-store/package.json +1 -1
  33. package/packages/experience-replay/package.json +1 -1
  34. package/packages/feedback-collector/package.json +1 -1
  35. package/packages/file-copy-helper/package.json +1 -1
  36. package/packages/framework-detector/package.json +1 -1
  37. package/packages/framework-plugin-sdk/package.json +1 -1
  38. package/packages/frappe-plugin/package.json +1 -1
  39. package/packages/generic-web-plugin/package.json +1 -1
  40. package/packages/health-monitor/package.json +1 -1
  41. package/packages/intent-analyzer/package.json +1 -1
  42. package/packages/jev-judge/dist/continuation-controller.d.ts +86 -0
  43. package/packages/jev-judge/dist/continuation-controller.d.ts.map +1 -0
  44. package/packages/jev-judge/dist/continuation-controller.js +245 -0
  45. package/packages/jev-judge/dist/continuation-controller.js.map +1 -0
  46. package/packages/jev-judge/dist/todo-provider.d.ts +103 -0
  47. package/packages/jev-judge/dist/todo-provider.d.ts.map +1 -0
  48. package/packages/jev-judge/dist/todo-provider.js +119 -0
  49. package/packages/jev-judge/dist/todo-provider.js.map +1 -0
  50. package/packages/jev-judge/package.json +1 -1
  51. package/packages/jev-judge/src/continuation-controller.ts +329 -0
  52. package/packages/jev-judge/src/todo-provider.ts +227 -0
  53. package/packages/knowledge-graph/package.json +1 -1
  54. package/packages/knowledge-retrieval/package.json +1 -1
  55. package/packages/laravel-plugin/package.json +1 -1
  56. package/packages/learning-engine/package.json +1 -1
  57. package/packages/mcp-adapter/package.json +1 -1
  58. package/packages/memory-engine/package.json +1 -1
  59. package/packages/milestone-manager/package.json +1 -1
  60. package/packages/model-registry/package.json +1 -1
  61. package/packages/nextjs-plugin/package.json +1 -1
  62. package/packages/notification/dist/conversation-bridge.d.ts +1 -1
  63. package/packages/notification/dist/conversation-bridge.d.ts.map +1 -1
  64. package/packages/notification/dist/conversation-bridge.js +60 -23
  65. package/packages/notification/dist/conversation-bridge.js.map +1 -1
  66. package/packages/notification/dist/notification-center.d.ts.map +1 -1
  67. package/packages/notification/dist/notification-center.js +8 -0
  68. package/packages/notification/dist/notification-center.js.map +1 -1
  69. package/packages/notification/dist/types.d.ts +1 -1
  70. package/packages/notification/dist/types.d.ts.map +1 -1
  71. package/packages/notification/package.json +1 -1
  72. package/packages/notification/src/conversation-bridge.ts +62 -24
  73. package/packages/notification/src/notification-center.ts +8 -0
  74. package/packages/notification/src/types.ts +2 -0
  75. package/packages/observability/package.json +1 -1
  76. package/packages/okf-indexer/package.json +1 -1
  77. package/packages/paperclip-integration/package.json +1 -1
  78. package/packages/performance-optimizer/package.json +1 -1
  79. package/packages/privilege-broker/package.json +1 -1
  80. package/packages/project-analyzer/package.json +1 -1
  81. package/packages/project-bootstrap/package.json +1 -1
  82. package/packages/projection-engine/package.json +1 -1
  83. package/packages/prompt-compiler/package.json +1 -1
  84. package/packages/prompt-versioning/package.json +1 -1
  85. package/packages/provider-adapter-sdk/package.json +1 -1
  86. package/packages/provider-router/package.json +1 -1
  87. package/packages/provider-selector/package.json +1 -1
  88. package/packages/providers/package.json +1 -1
  89. package/packages/qdrant-skills/package.json +1 -1
  90. package/packages/quota-manager/package.json +1 -1
  91. package/packages/rate-limiter/package.json +1 -1
  92. package/packages/react-vite-plugin/package.json +1 -1
  93. package/packages/release-manager/package.json +1 -1
  94. package/packages/requirement-compiler/package.json +1 -1
  95. package/packages/runtime/package.json +1 -1
  96. package/packages/scheduler/package.json +1 -1
  97. package/packages/scheduler-adapter/package.json +1 -1
  98. package/packages/session/package.json +1 -1
  99. package/packages/session-api/package.json +1 -1
  100. package/packages/session-export/package.json +1 -1
  101. package/packages/shared-context/package.json +1 -1
  102. package/packages/skill-mcp-client/package.json +1 -1
  103. package/packages/skill-registry/package.json +1 -1
  104. package/packages/skills/package.json +1 -1
  105. package/packages/sprint-planner/package.json +1 -1
  106. package/packages/subscription-engine/package.json +1 -1
  107. package/packages/task-compiler/package.json +1 -1
  108. package/packages/telegram/package.json +1 -1
  109. package/packages/tencentdb-memory/package.json +1 -1
  110. package/packages/tencentdb-sync/package.json +1 -1
  111. package/packages/test-data-generator/package.json +1 -1
  112. package/packages/test-generator/package.json +1 -1
  113. package/packages/todo-bd-sync/package.json +1 -1
  114. package/packages/token-estimation/package.json +1 -1
  115. package/packages/token-optimizer/package.json +1 -1
  116. package/packages/trajectory/package.json +1 -1
  117. package/packages/tui/package.json +1 -1
  118. package/packages/types/package.json +1 -1
  119. package/packages/webmcp-tester/package.json +1 -1
  120. package/packages/workflow-events/package.json +1 -1
  121. package/packages/workspace-scanner/package.json +1 -1
  122. package/packages/worktree/package.json +1 -1
  123. package/packages/write-review/package.json +1 -1
package/index.ts CHANGED
@@ -78,6 +78,7 @@ import {
78
78
 
79
79
  // --- Jev Auto-Continue: Agent autonomous decision-making --------------------
80
80
  // Lazy import - only loads when packages/jev-judge exists and API key available
81
+ import { createTodoContinuation } from "./packages/jev-judge/dist/continuation-controller.js";
81
82
 
82
83
  /**
83
84
  * Get tasks from bd (beads) for Jev decision context.
@@ -1545,6 +1546,9 @@ export default function (pi: ExtensionAPI) {
1545
1546
  // --- jev-auto-continue: Agent autonomous decision when user unavailable -----
1546
1547
  void initAutoContinue(pi);
1547
1548
 
1549
+ // Register todo-driven continuation controller
1550
+ createTodoContinuation(pi);
1551
+
1548
1552
  // --- qdrant-vector-search: Qdrant integration for semantic skill search ----
1549
1553
  // Collect promise so we can wait for initialization before showing startup notification
1550
1554
  asyncInitPromises.push(initQdrant());
package/package.json CHANGED
@@ -1,6 +1,6 @@
1
1
  {
2
2
  "name": "pi-harness-runtime",
3
- "version": "1.1.192",
3
+ "version": "1.1.194",
4
4
  "description": "[BETA] Codex-style /usage status + autonomous coding harness for pi. Not production ready — expect breaking changes.",
5
5
  "type": "module",
6
6
  "scripts": {
@@ -1,6 +1,6 @@
1
1
  {
2
2
  "name": "@pi/a2a-adapter",
3
- "version": "1.1.192",
3
+ "version": "1.1.194",
4
4
  "type": "module",
5
5
  "description": "Google Agent-to-Agent (A2A) protocol adapter for pi-harness",
6
6
  "main": "dist/index.js",
@@ -1,6 +1,6 @@
1
1
  {
2
2
  "name": "@pi/agent-policy",
3
- "version": "1.1.192",
3
+ "version": "1.1.194",
4
4
  "description": "Agent policy runtime for pi-harness - enforces mandatory rule delivery and mutation gating",
5
5
  "type": "module",
6
6
  "main": "./dist/index.js",
@@ -1,6 +1,6 @@
1
1
  {
2
2
  "name": "@pi-harness/architecture-generator",
3
- "version": "1.1.192",
3
+ "version": "1.1.194",
4
4
  "description": "Generate ADR and Mermaid diagrams from project analysis",
5
5
  "type": "module",
6
6
  "main": "./dist/index.js",
@@ -1,6 +1,6 @@
1
1
  {
2
2
  "name": "@pi-harness/auth",
3
- "version": "1.1.192",
3
+ "version": "1.1.194",
4
4
  "description": "pi-harness-runtime — auth",
5
5
  "type": "module",
6
6
  "main": "./dist/index.js",
@@ -1,6 +1,6 @@
1
1
  {
2
2
  "name": "@pi/autonomous-refactor",
3
- "version": "1.1.192",
3
+ "version": "1.1.194",
4
4
  "type": "module",
5
5
  "description": "Autonomous refactoring engine",
6
6
  "main": "dist/index.js",
@@ -1,6 +1,6 @@
1
1
  {
2
2
  "name": "@pi/autonomous-runtime",
3
- "version": "1.1.192",
3
+ "version": "1.1.194",
4
4
  "description": "Autonomous Operations Runtime — task inbox, lease management, and worker lifecycle (RFC-0101)",
5
5
  "type": "module",
6
6
  "main": "./dist/index.js",
@@ -1,6 +1,6 @@
1
1
  {
2
2
  "name": "@pi/cache-strategy",
3
- "version": "1.1.192",
3
+ "version": "1.1.194",
4
4
  "type": "module",
5
5
  "description": "Smart caching with TTL and invalidation strategies (RFC-0022)",
6
6
  "main": "dist/index.js",
@@ -1,6 +1,6 @@
1
1
  {
2
2
  "name": "@pi-harness/capability-registry",
3
- "version": "1.1.192",
3
+ "version": "1.1.194",
4
4
  "description": "Capability Registry for pi-harness-runtime — tracks model capabilities and enables capability-based routing",
5
5
  "type": "module",
6
6
  "main": "./dist/index.js",
@@ -1,6 +1,6 @@
1
1
  {
2
2
  "name": "@pi/checkpoint",
3
- "version": "1.1.192",
3
+ "version": "1.1.194",
4
4
  "description": "Enhanced checkpoint system with incremental snapshots, diff-based storage, and recovery strategies",
5
5
  "type": "module",
6
6
  "main": "./dist/index.js",
@@ -1,6 +1,6 @@
1
1
  {
2
2
  "name": "@pi/cli-plugin-sdk",
3
- "version": "1.1.192",
3
+ "version": "1.1.194",
4
4
  "type": "module",
5
5
  "description": "CLI Plugin SDK for pi-harness — install, list, remove, update, invoke plugins",
6
6
  "main": "dist/index.js",
@@ -1,6 +1,6 @@
1
1
  {
2
2
  "name": "@pi/clipboard",
3
- "version": "1.1.192",
3
+ "version": "1.1.194",
4
4
  "type": "module",
5
5
  "main": "src/index.ts",
6
6
  "exports": {
@@ -1,6 +1,6 @@
1
1
  {
2
2
  "name": "@pi/clipboard-plugin",
3
- "version": "1.1.192",
3
+ "version": "1.1.194",
4
4
  "type": "module",
5
5
  "main": "src/index.ts",
6
6
  "exports": {
@@ -1,6 +1,6 @@
1
1
  {
2
2
  "name": "@pi/code-generation",
3
- "version": "1.1.192",
3
+ "version": "1.1.194",
4
4
  "description": "Code generation pipeline for pi-harness-runtime",
5
5
  "type": "module",
6
6
  "main": "./dist/index.js",
@@ -1,6 +1,6 @@
1
1
  {
2
2
  "name": "@pi/code-review",
3
- "version": "1.1.192",
3
+ "version": "1.1.194",
4
4
  "description": "Automated code review engine for pi-harness-runtime",
5
5
  "type": "module",
6
6
  "main": "./dist/index.js",
@@ -1,6 +1,6 @@
1
1
  {
2
2
  "name": "@pi/codex-adapter",
3
- "version": "1.1.192",
3
+ "version": "1.1.194",
4
4
  "type": "module",
5
5
  "description": "OpenAI Codex provider adapter for pi-harness",
6
6
  "main": "dist/index.js",
@@ -1,6 +1,6 @@
1
1
  {
2
2
  "name": "@pi-harness/codex-watcher",
3
- "version": "1.1.192",
3
+ "version": "1.1.194",
4
4
  "description": "Watches Codex CLI sessions and emits visible messages for PING-PONG monitoring",
5
5
  "type": "module",
6
6
  "main": "./dist/src/index.js",
@@ -1,6 +1,6 @@
1
1
  {
2
2
  "name": "@moocoding/config-capture",
3
- "version": "1.1.192",
3
+ "version": "1.1.194",
4
4
  "description": "Auto-capture API-fetched configuration values to AGENTS.md",
5
5
  "type": "module",
6
6
  "main": "src/index.ts",
@@ -1,6 +1,6 @@
1
1
  {
2
2
  "name": "@pi/context-compiler",
3
- "version": "1.1.192",
3
+ "version": "1.1.194",
4
4
  "description": "Bounded context selection engine for pi-harness-runtime",
5
5
  "type": "module",
6
6
  "main": "./dist/index.js",
@@ -1,6 +1,6 @@
1
1
  {
2
2
  "name": "@pi/context-discovery",
3
- "version": "1.1.192",
3
+ "version": "1.1.194",
4
4
  "type": "module",
5
5
  "main": "src/index.ts",
6
6
  "exports": {
@@ -1,6 +1,6 @@
1
1
  {
2
2
  "name": "@pi-harness/context-manager",
3
- "version": "1.1.192",
3
+ "version": "1.1.194",
4
4
  "description": "Context Window Manager — prevents model context overflow via compaction and resume prompts (RFC-0010)",
5
5
  "type": "module",
6
6
  "main": "./dist/index.js",
@@ -1,6 +1,6 @@
1
1
  {
2
2
  "name": "@pi-harness/cookie-sanitizer",
3
- "version": "1.1.192",
3
+ "version": "1.1.194",
4
4
  "description": "pi-harness-runtime — cookie sanitizer (provider-quota cookie file normaliser)",
5
5
  "type": "module",
6
6
  "main": "./dist/index.js",
@@ -1,6 +1,6 @@
1
1
  {
2
2
  "name": "@pi-harness/cost-optimizer",
3
- "version": "1.1.192",
3
+ "version": "1.1.194",
4
4
  "description": "Cost Optimizer for pi-harness-runtime — budget tracking, forecasting, and model selection optimization",
5
5
  "type": "module",
6
6
  "main": "./dist/index.js",
@@ -1,6 +1,6 @@
1
1
  {
2
2
  "name": "@pi/dependency-analyzer",
3
- "version": "1.1.192",
3
+ "version": "1.1.194",
4
4
  "type": "module",
5
5
  "main": "src/index.ts",
6
6
  "exports": {
@@ -1,6 +1,6 @@
1
1
  {
2
2
  "name": "@pi/django-plugin",
3
- "version": "1.1.192",
3
+ "version": "1.1.194",
4
4
  "description": "Django framework analysis — models, management commands, settings",
5
5
  "type": "module",
6
6
  "main": "./dist/index.js",
@@ -1,6 +1,6 @@
1
1
  {
2
2
  "name": "@pi-harness/doc-generator",
3
- "version": "1.1.192",
3
+ "version": "1.1.194",
4
4
  "description": "Auto-Doc Generator — generate documentation from source code (RFC-0014)",
5
5
  "type": "module",
6
6
  "main": "./dist/index.js",
@@ -1,6 +1,6 @@
1
1
  {
2
2
  "name": "@pi-harness/e2e-tester",
3
- "version": "1.1.192",
3
+ "version": "1.1.194",
4
4
  "description": "WebMCP-powered E2E testing for pi-harness - natural language test scenarios",
5
5
  "type": "module",
6
6
  "main": "./dist/index.js",
@@ -1,6 +1,6 @@
1
1
  {
2
2
  "name": "@pi-harness/evaluation-engine",
3
- "version": "1.1.192",
3
+ "version": "1.1.194",
4
4
  "description": "Evaluation engine for pi-harness runtime (RFC-0057)",
5
5
  "type": "module",
6
6
  "main": "./dist/index.js",
@@ -1,6 +1,6 @@
1
1
  {
2
2
  "name": "@pi/evaluation-runner",
3
- "version": "1.1.192",
3
+ "version": "1.1.194",
4
4
  "type": "module",
5
5
  "description": "Framework-agnostic evaluation framework for AI outputs (RFC-0020)",
6
6
  "main": "dist/index.js",
@@ -1,6 +1,6 @@
1
1
  {
2
2
  "name": "@pi/event-bus",
3
- "version": "1.1.192",
3
+ "version": "1.1.194",
4
4
  "type": "module",
5
5
  "main": "src/index.ts",
6
6
  "exports": {
@@ -1,6 +1,6 @@
1
1
  {
2
2
  "name": "@pi/event-store",
3
- "version": "1.1.192",
3
+ "version": "1.1.194",
4
4
  "type": "module",
5
5
  "main": "src/index.ts",
6
6
  "exports": {
@@ -1,6 +1,6 @@
1
1
  {
2
2
  "name": "@pi-harness/experience-replay",
3
- "version": "1.1.192",
3
+ "version": "1.1.194",
4
4
  "description": "Experience replay for debugging and reproducibility (RFC-0059)",
5
5
  "type": "module",
6
6
  "main": "./dist/index.js",
@@ -1,6 +1,6 @@
1
1
  {
2
2
  "name": "@pi/feedback-collector",
3
- "version": "1.1.192",
3
+ "version": "1.1.194",
4
4
  "type": "module",
5
5
  "description": "Collect and aggregate human/automated feedback (RFC-0021)",
6
6
  "main": "dist/index.js",
@@ -1,6 +1,6 @@
1
1
  {
2
2
  "name": "@moocoding/file-copy-helper",
3
- "version": "1.1.192",
3
+ "version": "1.1.194",
4
4
  "description": "Injects cp/sudo cp rule when user asks to mimic/copy files",
5
5
  "type": "module",
6
6
  "main": "dist/index.js",
@@ -1,6 +1,6 @@
1
1
  {
2
2
  "name": "@pi/framework-detector",
3
- "version": "1.1.192",
3
+ "version": "1.1.194",
4
4
  "description": "Framework detection system for pi-harness-runtime",
5
5
  "type": "module",
6
6
  "main": "./dist/index.js",
@@ -1,6 +1,6 @@
1
1
  {
2
2
  "name": "@pi/framework-plugin-sdk",
3
- "version": "1.1.192",
3
+ "version": "1.1.194",
4
4
  "description": "Framework plugin SDK for pi-harness-runtime",
5
5
  "type": "module",
6
6
  "main": "./dist/index.js",
@@ -1,6 +1,6 @@
1
1
  {
2
2
  "name": "@pi/frappe-plugin",
3
- "version": "1.1.192",
3
+ "version": "1.1.194",
4
4
  "description": "Frappe/ERPNext framework analysis — DocTypes, hooks, bench sites, site config",
5
5
  "type": "module",
6
6
  "main": "./dist/index.js",
@@ -1,6 +1,6 @@
1
1
  {
2
2
  "name": "@pi/generic-web-plugin",
3
- "version": "1.1.192",
3
+ "version": "1.1.194",
4
4
  "description": "Generic web framework analysis — REST/GraphQL endpoints, OpenAPI, auth",
5
5
  "type": "module",
6
6
  "main": "./dist/index.js",
@@ -1,6 +1,6 @@
1
1
  {
2
2
  "name": "@pi/health-monitor",
3
- "version": "1.1.192",
3
+ "version": "1.1.194",
4
4
  "type": "module",
5
5
  "description": "Health monitoring and auto-healing",
6
6
  "main": "dist/index.js",
@@ -1,6 +1,6 @@
1
1
  {
2
2
  "name": "@pi/intent-analyzer",
3
- "version": "1.1.192",
3
+ "version": "1.1.194",
4
4
  "type": "module",
5
5
  "main": "src/index.ts",
6
6
  "exports": {
@@ -0,0 +1,86 @@
1
+ /**
2
+ * Todo-Driven Continuation Controller
3
+ *
4
+ * Executes authorized todo items without repeated prompts.
5
+ * Uses deterministic rules + optional Jev for ambiguous cases.
6
+ *
7
+ * Architecture:
8
+ * A. Read real todo state (not bd)
9
+ * B. Deterministic continuation on agent_settled
10
+ * C. Jev for ambiguous classification only
11
+ * D. Single continuation controller
12
+ * E. Update prompts/Telegram/status together
13
+ */
14
+ import type { ExtensionAPI } from "@earendil-works/pi-coding-agent";
15
+ import { type TodoItem } from "./todo-provider.js";
16
+ /**
17
+ * Continuation controller configuration
18
+ */
19
+ interface ContinuationConfig {
20
+ /** Minimum wait time before Jev fallback (ms) */
21
+ jevFallbackMinWaitMs?: number;
22
+ /** Jev probability threshold for routine continuation */
23
+ routineThreshold?: number;
24
+ /** Max steer attempts before reporting blocker */
25
+ maxSteerAttempts?: number;
26
+ /** Enable Jev classification for ambiguous cases */
27
+ enableJev?: boolean;
28
+ }
29
+ /**
30
+ * Todo-Driven Continuation Controller
31
+ *
32
+ * Evaluates todo state on agent_settled and determines next action.
33
+ */
34
+ export declare class TodoContinuationController {
35
+ private pi;
36
+ private config;
37
+ private todoProvider;
38
+ private state;
39
+ constructor(pi: ExtensionAPI, config?: ContinuationConfig);
40
+ /**
41
+ * Register lifecycle hooks
42
+ */
43
+ register(): void;
44
+ /**
45
+ * Evaluate continuation decision and execute it
46
+ */
47
+ private evaluateContinuation;
48
+ /**
49
+ * Continue a specific todo item
50
+ */
51
+ private continueItem;
52
+ /**
53
+ * Steer to continue a todo item
54
+ */
55
+ steerToContinue(itemId: number): Promise<void>;
56
+ /**
57
+ * Mark a todo item as complete
58
+ */
59
+ markComplete(itemId: number): Promise<void>;
60
+ /**
61
+ * User paused
62
+ */
63
+ pause(): void;
64
+ /**
65
+ * Reset state for new session
66
+ */
67
+ private reset;
68
+ /**
69
+ * Cleanup on shutdown
70
+ */
71
+ private cleanup;
72
+ /**
73
+ * Get current state summary
74
+ */
75
+ getState(): {
76
+ current: TodoItem | null;
77
+ next: TodoItem | null;
78
+ ready: number;
79
+ };
80
+ }
81
+ /**
82
+ * Create and register a todo continuation controller
83
+ */
84
+ export declare function createTodoContinuation(pi: ExtensionAPI, config?: ContinuationConfig): TodoContinuationController;
85
+ export {};
86
+ //# sourceMappingURL=continuation-controller.d.ts.map
@@ -0,0 +1 @@
1
+ {"version":3,"file":"continuation-controller.d.ts","sourceRoot":"","sources":["../src/continuation-controller.ts"],"names":[],"mappings":"AAAA;;;;;;;;;;;;GAYG;AAEH,OAAO,KAAK,EAAE,YAAY,EAAE,MAAM,iCAAiC,CAAC;AACpE,OAAO,EAAsB,KAAK,QAAQ,EAAqB,MAAM,oBAAoB,CAAC;AA8B1F;;GAEG;AACH,UAAU,kBAAkB;IAC3B,iDAAiD;IAClD,oBAAoB,CAAC,EAAE,MAAM,CAAC;IAC7B,yDAAyD;IACzD,gBAAgB,CAAC,EAAE,MAAM,CAAC;IAC1B,kDAAkD;IAClD,gBAAgB,CAAC,EAAE,MAAM,CAAC;IAC1B,oDAAoD;IACpD,SAAS,CAAC,EAAE,OAAO,CAAC;CACpB;AAED;;;;GAIG;AACH,qBAAa,0BAA0B;IACtC,OAAO,CAAC,EAAE,CAAe;IACzB,OAAO,CAAC,MAAM,CAA+B;IAC7C,OAAO,CAAC,YAAY,CAAwB;IAE5C,OAAO,CAAC,KAAK,CAYX;IAEF,YAAY,EAAE,EAAE,YAAY,EAAE,MAAM,CAAC,EAAE,kBAAkB,EAcxD;IAED;;OAEG;IACH,QAAQ,IAAI,IAAI,CAwCf;IAED;;OAEG;YACW,oBAAoB;IA+DlC;;OAEG;YACW,YAAY;IAsB1B;;OAEG;IACG,eAAe,CAAC,MAAM,EAAE,MAAM,GAAG,OAAO,CAAC,IAAI,CAAC,CAoBnD;IAED;;OAEG;IACG,YAAY,CAAC,MAAM,EAAE,MAAM,GAAG,OAAO,CAAC,IAAI,CAAC,CAIhD;IAED;;OAEG;IACH,KAAK,IAAI,IAAI,CAIZ;IAED;;OAEG;IACH,OAAO,CAAC,KAAK;IAgBb;;OAEG;IACH,OAAO,CAAC,OAAO;IAMf;;OAEG;IACH,QAAQ,IAAI;QAAE,OAAO,EAAE,QAAQ,GAAG,IAAI,CAAC;QAAC,IAAI,EAAE,QAAQ,GAAG,IAAI,CAAC;QAAC,KAAK,EAAE,MAAM,CAAA;KAAE,CAM7E;CACD;AAED;;GAEG;AACH,wBAAgB,sBAAsB,CACrC,EAAE,EAAE,YAAY,EAChB,MAAM,CAAC,EAAE,kBAAkB,GACzB,0BAA0B,CAI5B"}